Bug 629124 - Review Request: ghc-libmpd - Haskell library for mpd communication
Review Request: ghc-libmpd - Haskell library for mpd communication
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: xmobar
  Show dependency treegraph
 
Reported: 2010-08-31 22:53 EDT by Ben Boeckel
Modified: 2010-09-15 18:31 EDT (History)
3 users (show)

See Also:
Fixed In Version: xmobar-0.11.1-4.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-15 03:07:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
petersen: fedora‑review+
petersen: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ben Boeckel 2010-08-31 22:53:46 EDT
Spec URL: http://benboeckel.net/packaging/ghc-libmpd/ghc-libmpd.spec
SRPM URL: http://benboeckel.net/packaging/ghc-libmpd/ghc-libmpd-0.4.1-1.fc14.src.rpm
Description:
A library which implements the mpd protocol in Haskell.
Comment 1 Jens Petersen 2010-08-31 23:01:53 EDT
ghc-libmpd.src: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
ghc-libmpd.src: W: spelling-error Summary(en_US) mpd -> mod, mp, pd
ghc-libmpd.src: W: spelling-error %description -l en_US mpd -> mod, mp, pd
ghc-libmpd.src: W: strange-permission ghc-libmpd.spec 0640L
ghc-libmpd.src: W: strange-permission libmpd-0.4.1.tar.gz 0640L
1 packages and 0 specfiles checked; 0 errors, 5 warnings.

Basically looks ok to me - would be nice to fix
the strange-permission warnings though.
Comment 2 Ben Boeckel 2010-08-31 23:17:53 EDT
strange-permission warnings are a result of my 027 umask. Koji's results should be free of those (git does 644 and 755 perms only).
Comment 3 Jens Petersen 2010-09-01 04:20:39 EDT
There is actually a new upstream release just out which
fixes the quasi-redundant QuickCheck build dep.
http://hackage.haskell.org/package/libmpd-0.4.2
Comment 4 Jens Petersen 2010-09-01 04:30:21 EDT
Here is the review:

 +:ok,  NA: not applicable

MUST Items:
[+] MUST: rpmlint output

ghc-libmpd.src: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
ghc-libmpd.src: W: spelling-error Summary(en_US) mpd -> mod, mp, pd
ghc-libmpd.src: W: spelling-error %description -l en_US mpd -> mod, mp, pd
ghc-libmpd.src: W: strange-permission ghc-libmpd.spec 0640L
ghc-libmpd.src: W: strange-permission libmpd-0.4.1.tar.gz 0640L
1 packages and 0 specfiles checked; 0 errors, 5 warnings.
ghc-libmpd.x86_64: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
ghc-libmpd.x86_64: W: spelling-error Summary(en_US) mpd -> mod, mp, pd
ghc-libmpd.x86_64: W: spelling-error %description -l en_US mpd -> mod, mp, pd
ghc-libmpd.x86_64: W: executable-stack /usr/lib64/ghc-6.12.1/libmpd-0.4.1/libHSlibmpd-0.4.1-ghc6.12.1.so
1 packages and 0 specfiles checked; 0 errors, 4 warnings.
ghc-libmpd-devel.x86_64: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
ghc-libmpd-devel.x86_64: W: spelling-error Summary(en_US) mpd -> mod, mp, pd
ghc-libmpd-devel.x86_64: W: spelling-error %description -l en_US mpd -> mod, mp, pd
1 packages and 0 specfiles checked; 0 errors, 3 warnings.
ghc-libmpd-prof.x86_64: E: devel-dependency ghc-libmpd-devel
ghc-libmpd-prof.x86_64: W: spelling-error Summary(en_US) mpd -> mod, mp, pd
ghc-libmpd-prof.x86_64: W: spelling-error %description -l en_US mpd -> mod, mp, pd
ghc-libmpd-prof.x86_64: W: no-documentation
ghc-libmpd-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.12.1/libmpd-0.4.1/libHSlibmpd-0.4.1_p.a
1 packages and 0 specfiles checked; 1 errors, 4 warnings.

Can all be waived.

[+] MUST: Package Naming Guidelines
[+] MUST: spec file name must match base package %{name}
[+] MUST: Packaging Guidelines.
[+] MUST: Licensing Guidelines
[+] MUST: License field in the package spec file must match actual license.
[+] MUST: include license files in %doc if available in source
[+] MUST: The spec file must be written in American English and be legible.
[+] MUST: source md5sum matches upstream release

8cd0ca17ff8833213021b21a45f310f8  tmp/libmpd-0.4.1.tar.gz

[+] MUST: must successfully compile and build into binary rpms on one main arch

http://koji.fedoraproject.org/koji/taskinfo?taskID=2439729

[+] MUST: if necessary use ExcludeArch for other archs
[+] MUST: All build dependencies must be listed in BuildRequires

QuickCheck should really be dropped but guess it can be done for 0.4.2.

[NA] MUST: use %find_lang macro for .po translations
[NA] MUST: packages which store shared library files in the dynamic linker's default paths, must call ldconfig in %post and %postun.
[NA] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review
[+] MUST: A package must own all directories that it creates.
[+] MUST: A package must not contain any duplicate files in the %files listing.

Might be nice to add the README.  I think Ben was already talking about doing it.

[+] MUST: Permissions on files must be set properly. Every %files section must include a %defattr(...) line.
[+] MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: Each package must consistently use macros, as described in the macros section of Packaging Guidelines.
[+] MUST: The package must contain code, or permissable content.
[NA] MUST: Large documentation files should go in a doc subpackage.
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[+] MUST: Header files must be in a -devel package.
[NA] MUST: Static libraries must be in a -static package.
[NA] MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
[+] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency
[+] MUST: Packages must NOT contain any .la libtool archives, these should be removed in the spec.
[+] MUST: Packages must not own files or directories already owned by other packages.
[+] MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: All filenames in rpm packages must be valid UTF-8.

SHOULD Items:
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[+] SHOULD: If scriptlets are used, those scriptlets must be sane.
[+] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.


Package APPROVED

Do feel free to update to 0.4.2 before building and drop the QuickCheck dep.
You could explicitly BR ghc-QuickCheck-devel if you want to add %check. :)
Comment 5 Ben Boeckel 2010-09-01 18:43:14 EDT
Thanks. Building 0.4.2 locally now.

New Package CVS Request
=======================
Package Name: ghc-libmpd
Short Description: Haskell library for mpd communication
Owners: mathstuf
Branches: F-12 F-13 F-14
InitialCC: haskell-sig
Comment 6 Jens Petersen 2010-09-01 22:02:31 EDT
Git done (by process-git-requests).
Comment 7 Ben Boeckel 2010-09-03 00:54:58 EDT
Built for F-15, F-14, and F-13.
Comment 8 Fedora Update System 2010-09-06 22:55:47 EDT
xmobar-0.11.1-4.fc14,ghc-libmpd-0.4.2-1.fc14,ghc-hinotify-0.3.1-4.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/xmobar-0.11.1-4.fc14,ghc-libmpd-0.4.2-1.fc14,ghc-hinotify-0.3.1-4.fc14
Comment 9 Fedora Update System 2010-09-06 22:56:03 EDT
xmobar-0.11.1-4.fc13,ghc-libmpd-0.4.2-1.fc13,ghc-hinotify-0.3.1-4.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/xmobar-0.11.1-4.fc13,ghc-libmpd-0.4.2-1.fc13,ghc-hinotify-0.3.1-4.fc13
Comment 10 Fedora Update System 2010-09-07 02:45:57 EDT
xmobar-0.11.1-4.fc14, ghc-libmpd-0.4.2-1.fc14, ghc-hinotify-0.3.1-4.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xmobar ghc-libmpd ghc-hinotify'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/xmobar-0.11.1-4.fc14,ghc-libmpd-0.4.2-1.fc14,ghc-hinotify-0.3.1-4.fc14
Comment 11 Fedora Update System 2010-09-15 03:06:58 EDT
xmobar-0.11.1-4.fc14, ghc-libmpd-0.4.2-1.fc14, ghc-hinotify-0.3.1-4.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2010-09-15 18:31:02 EDT
xmobar-0.11.1-4.fc13, ghc-libmpd-0.4.2-1.fc13, ghc-hinotify-0.3.1-4.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.